<?php
/**
 * 初始化小区完善
 */
$conf_basedir	= "../../";	//相对主目录的位置
$conf_where		= "admin";	//选择调用相应模块
$directory		= basename(dirname(__FILE__));	//定义当前所在的目录，引入模块公用函数
include_once($conf_basedir."base.inc.php");
include_once WEB_MODULE . '/growth_nj/base.inc.php';
$growthBlockImprove = new GrowthBlockImprove();

/***********初始化`growth_block_attr`表**************/
$sql = "INSERT INTO `growth_block_attr` (`id`, `name`, `name_field`, `del_flag`) VALUES
(1, '小区名称', 'blockname', 0),
(2, '小区别名', 'alias', 0),
(3, '区属', 'district', 0),
(4, '板块', 'streetid', 0),
(5, '小区地址', 'address', 0),
(6, '建筑类型', 'b_property_type', 1),
(7, '总户数', 'total_room', 0),
(8, '建筑面积', 'area', 0),
(9, '占地面积', 'b_area', 0),
(10, '停车位', 'b_parking', 0),
(11, '开发商', 'b_developers', 0),
(12, '绿化率', 'b_green', 0),
(13, '容积率', 'plot_ratio', 0),
(14, '物业公司', 'b_property_company', 0),
(15, '物业费', 'b_property_fees', 0),
(16, '建筑年代', 'turn_time', 0),
(17, '公交线路', 'b_bus', 0),
(18, '地铁沿线', 'b_metro', 0),
(19, '详细介绍', 'b_introduction', 0),
(20, '其他配套', 'b_other', 0),
(21, '百度地图', 'b_map', 0);";

//清空表growth_block_attr
$growthBlockImprove->emptyTable();

//初始化数据
echo '小区完善属性字段表growth_block_attr初始化完成<br/>';
$growthBlockImprove->initData($sql);
echo '小区完善属性字段表growth_block_attr初始化完成<br/>';
/*********************************************************/

/******初始化小区表block完善属性锁定字段和待完善数目*********/
//这里小区表总锁定设置为打开，待完善数目为20个（根据上面growth_block_attr得出）
echo '小区表完善属性锁定字段和待完善数目初始化完成<br/>';
$sql2 = "update block set lock_flag = 0 , lock_opennum = 20;";
$growthBlockImprove->initData($sql2);
echo '小区完善属性锁定字段和待完善数目初始化完成<br/>';
/*********************************************************/

?>